import type { Appwrite, Models } from 'appwrite/types/sdk';
import type { AsyncEffectResult } from '../types';
export declare type Collection<Model> = Array<Model & Models.Document>;
export declare type UseCollectionResult<Model> = AsyncEffectResult<Collection<Model>>;
export declare type CollectionOptions = {
    filters?: string[];
    limit?: number;
    offset?: number;
    orderField?: string;
    orderType?: string;
    orderCast?: string;
    search?: string;
};
export default function useCollection<Model>(appwrite: Appwrite, collectionId: string, options?: CollectionOptions | undefined): UseCollectionResult<Model>;
