import type { Models } from 'appwrite/types/sdk';
export declare type Loading<T> = T | undefined;
export declare type AsyncEffectResult<T> = [Loading<T>, boolean, unknown];
export declare type AsyncEffectCallback<T> = (set: (data: T) => void, error: (error: unknown) => void) => void | (() => void);
export declare type CloudFunctionExecution<Data> = Models.Execution & {
    data: Data;
};
export declare type CloudFunction<Data, ReturnData> = {
    execute: (data?: Data) => void;
    execution?: CloudFunctionExecution<ReturnData>;
};
